require "defines"
require "oneshot"
 
function msg_all(message)
    for _,p in pairs(game.players) do
        p.print(message)
    end
end

game.on_event(defines.events.on_tick, function(event)
    local _, err = pcall(oneshot.on_tick, event)
    if err then msg_all({"ONESHOT-err-specific", "on_tick", err}) end
end)

game.on_event(defines.events.on_research_finished, function(event)
    local _, err = pcall(oneshot.on_research_finished, event, tech)
    if err then msg_all({"ONESHOT-err-specific", "on_research_finished", err}) end
end)

game.on_event(defines.events.on_force_created, function(event)
    local _, err = pcall(oneshot.on_force_created, event)
    if err then msg_all({"ONESHOT-err-specific", "on_force_created", err}) end
end)

--[[
<Narc> local interface = { function print_debug(player_index_or_name) game.get_player(player_index_or_name).print(serpent.dump(global)) end } remote.add_interface("Interface_name", interface)
<Narc> There you go. Use it with remote.call("Interface_name", "print_debug", game.local_player.name)
]]

